Altibase.jdbc.driver.logging

## Class LoggingProxyFactory

- java.lang.Object
- - Altibase.jdbc.driver.logging.LoggingProxyFactory

    public final class LoggingProxyFactory
    extends java.lang.Object

타켓오브젝트를 받아서 해당하는 Proxy클래스를 생성하여 돌려주는 팩토리 클래스

Author:
  yjpark

### Method Summary

All Methods Static Methods Concrete Methods
`static java.sql.CallableStatement` `createCallableStmtProxy(java.lang.Object aStmt, java.sql.Connection aConn)`
`static java.sql.Connection` `createConnectionProxy(java.lang.Object aConn)`
`static javax.sql.PooledConnection` `createPooledConnectionProxy(java.lang.Object aPooledCon)`
`static java.sql.PreparedStatement` `createPreparedStmtProxy(java.lang.Object aStmt, java.sql.Connection aConn)`
`static java.sql.ResultSet` `createResultSetProxy(java.lang.Object aRs)`
`static java.sql.Statement` `createStatementProxy(java.lang.Object aStmt, java.sql.Connection aConn)`
`static javax.sql.XAConnection` `createXaConnectionProxy(java.lang.Object aXaCon)`
`static javax.transaction.xa.XAResource` `createXaResourceProxy(java.lang.Object aXaResource)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### createConnectionProxy

    public static java.sql.Connection createConnectionProxy(java.lang.Object aConn)

#### createCallableStmtProxy

    public static java.sql.CallableStatement createCallableStmtProxy(java.lang.Object aStmt,
                                                                     java.sql.Connection aConn)

#### createPreparedStmtProxy

    public static java.sql.PreparedStatement createPreparedStmtProxy(java.lang.Object aStmt,
                                                                     java.sql.Connection aConn)

#### createStatementProxy

    public static java.sql.Statement createStatementProxy(java.lang.Object aStmt,
                                                          java.sql.Connection aConn)

#### createResultSetProxy

    public static java.sql.ResultSet createResultSetProxy(java.lang.Object aRs)

#### createPooledConnectionProxy

    public static javax.sql.PooledConnection createPooledConnectionProxy(java.lang.Object aPooledCon)

#### createXaConnectionProxy

    public static javax.sql.XAConnection createXaConnectionProxy(java.lang.Object aXaCon)

#### createXaResourceProxy

    public static javax.transaction.xa.XAResource createXaResourceProxy(java.lang.Object aXaResource)